// Portas a usar pelos LEDs dos semáforos pedonais
const int LedR1 = 7;
const int LedG1 = 6;
const int LedR2 = 5;
const int LedG2 = 4;

const int temp2 = 4750; // Tempo que vai demorar a mudar de sinal (tempo LED Verde Veiculos + tempo LED Amarelo Intermitente)

void setup() {
  Serial.begin(9600);
  for(int i=4; i<=7; i++){
    pinMode(i, OUTPUT);
  }

  // Inicializar os LEDs - Todos desligados
  for(int i=4; i<=7; i++){
    digitalWrite(i, LOW);
  }
}

void loop() {
  // Ligar LEDs
  digitalWrite(LedR1, HIGH); // Liga LED Vermelho 1
  digitalWrite(LedG2, HIGH); // Liga LED Verde 2
  digitalWrite(LedR2, LOW); // Desliga LED Vermelho 2
  digitalWrite(LedG1, LOW); // Desliga LED Verde 1
  delay(temp2); // Tempo dado até mudar de sinal
  digitalWrite(LedR1, LOW); // Desliga LED Vermelho 1
  digitalWrite(LedG2, LOW); // Desliga LED Verde 2
  digitalWrite(LedR2, HIGH); // Liga LED Vermelho 2
  digitalWrite(LedG1, HIGH); // Liga LED Verde 1
  delay(temp2); // Tempo dado até mudar de sinal  
}
